import { SessionKey, TTLParser } from "@sveltekit-statefull-session/core";
import type { RedisClientType } from "@redis/client";
import type { RepositoryOption, SessionRepository } from "@sveltekit-statefull-session/core";
interface RedisOption {
    client: RedisClientType<any, any, any>;
}
export declare class RedisSessionRepository<Session> implements SessionRepository<Session> {
    #private;
    private redisPrefix;
    name: string;
    constructor(options: RepositoryOption & RedisOption);
    private getRedisKey;
    private checkConnectivity;
    exists(sessionKey: SessionKey): Promise<boolean>;
    initializeSession(sessionKey: SessionKey): Promise<void>;
    loadValue(sessionKey: SessionKey): Promise<Session | null>;
    storeValue(sessionKey: SessionKey, value: Session): Promise<void>;
    destroySession(sessionKey: SessionKey): Promise<void>;
    purgeExpired(): Promise<void>;
    ttl(): TTLParser;
}
export {};
